Skip to main content
Get ZKS instance metrics by ID
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for the ZedCloud gateway user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

zksId
string
required

Unique identifier of the ZKS instance. This field is required and must be a valid ZKS instance ID.

Response

Successfully retrieved ZKS instance metrics

id
string

ZKS instance ID for which metrics are provided

name
string

ZKS instance name for which metrics are provided

provider
string

Provider of the zks instance

kubeVersion
string

Kubernetes version of the zks instance

architecture
string

Architecture of the zks instance

created
string<date-time>

Creation time of the zks instance

totalResources
integer<int32>

Total resources in the zks instance

nOfNodes
integer<int32>

Number of nodes in the zks instance

deployments
integer<int32>

Number of deployments in the zks instance

capacity
ClusterCapacity represents the overall capacity of a cluster · object

Capacity information of the zks instance